QGIS Application - Bug report #21863
issues with embedded layers
2019-04-16 04:52 PM - Denis Rouzaud

Status: Open

Priority: High

Assignee: Denis Rouzaud

Category: Map Legend

Affected QGIS version:3.7(master) Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29678
Description

- visibility state is not saved (when embedding or when saving project) (see
https:/lists.osgeo.org/pipermail/qgis-developer/2019-April/057065.html)

- new layers can be added to embedded group (they should be protected)

History

#1 - 2019-04-16 05:18 PM - Rémi Bovard

Thanks Denis for reporting my issue here :)

Could you please tag it as a regression, since it was working fine in last LTR (at least the first point)?

Best regards,

#2 - 2019-04-16 05:33 PM - Juirgen Fischer
- Regression? changed from No to Yes

#3 - 2019-04-16 06:04 PM - Denis Rouzaud
- Category changed from Mesh layers to Map Legend

#4 - 2019-04-17 01:10 PM - Jean-Roc Morreale

Denis, | use the new layers support in embedded group as a feature, please do not remove.

#5 - 2019-04-17 03:08 PM - Giovanni Manghi

- Priority changed from Normal to High

#6 - 2019-04-18 06:02 PM - Denis Rouzaud

Jean-Roc, this doesn't like a feature to me, if not a bug, rather a weakness.

Couldn't you play a bit differently and add the layers instead of the group?
I'm a bit hesitant here.

#7 - 2019-04-18 06:44 PM - Jean-Roc Morreale
https://lists.osgeo.org/pipermail/qgis-developer/2019-April/057065.html

| use the group to add new layers to all the projects based on it without manually editing them, pointing directly to the layers would add work. Is there

another way to achieve this kind of usecase ?

#8 - 2019-04-18 08:18 PM - Denis Rouzaud
Jean-Roc, | think we are not talking about the same thing.

Adding project within a group in the embedded project so that projects embedding this group also get updated is indeed a feature.
But I think we should not be able to add a layer in the embedded group of an embedding project.

#9 - 2019-04-19 08:54 AM - Jean-Roc Morreale

Sorry Denis for the misunderstanding !
